siproxd_0.8.1-4.1_i386.deb


Advertisement

Description

siproxd - SIP proxy/redirect/registrar

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name siproxd
Package version 0.8.1
Package release 4.1
Package architecture i386
Package type deb
Installed size 715 B
Download size 296.16 KB
Official Mirror archive.ubuntu.com
Siproxd is a proxy/masquerading daemon for the SIP (Session
Initiation Protocol) which is used in IP telephony.
It handles registrations of SIP clients on a private IP network
and performs rewriting of the SIP message bodies to make SIP
connections possible via a masquerading firewall.
It allows SIP clients (like kphone, linphone) to work behind
an IP masquerading firewall or router.

Alternatives

Package Version Architecture Repository
siproxd_0.8.1-4.1_amd64.deb 0.8.1 amd64 Ubuntu Universe
siproxd - - -

Requires

Name Value
adduser >= 3.56
libc6 >= 2.15
libltdl7 >= 2.4.2
libosip2-11 -

Download

Type URL
Binary Package siproxd_0.8.1-4.1_i386.deb
Source Package siproxd

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install siproxd deb package:
    # sudo apt-get install siproxd

Files

Path
/etc/siproxd.conf
/etc/default/siproxd
/etc/init.d/siproxd
/usr/lib/i386-linux-gnu/siproxd/plugin_defaulttarget.a
/usr/lib/i386-linux-gnu/siproxd/plugin_defaulttarget.la
/usr/lib/i386-linux-gnu/siproxd/plugin_defaulttarget.so
/usr/lib/i386-linux-gnu/siproxd/plugin_demo.a
/usr/lib/i386-linux-gnu/siproxd/plugin_demo.la
/usr/lib/i386-linux-gnu/siproxd/plugin_demo.so
/usr/lib/i386-linux-gnu/siproxd/plugin_fix_bogus_via.a
/usr/lib/i386-linux-gnu/siproxd/plugin_fix_bogus_via.la
/usr/lib/i386-linux-gnu/siproxd/plugin_fix_bogus_via.so
/usr/lib/i386-linux-gnu/siproxd/plugin_logcall.a
/usr/lib/i386-linux-gnu/siproxd/plugin_logcall.la
/usr/lib/i386-linux-gnu/siproxd/plugin_logcall.so
/usr/lib/i386-linux-gnu/siproxd/plugin_prefix.a
/usr/lib/i386-linux-gnu/siproxd/plugin_prefix.la
/usr/lib/i386-linux-gnu/siproxd/plugin_prefix.so
/usr/lib/i386-linux-gnu/siproxd/plugin_regex.a
/usr/lib/i386-linux-gnu/siproxd/plugin_regex.la
/usr/lib/i386-linux-gnu/siproxd/plugin_regex.so
/usr/lib/i386-linux-gnu/siproxd/plugin_shortdial.a
/usr/lib/i386-linux-gnu/siproxd/plugin_shortdial.la
/usr/lib/i386-linux-gnu/siproxd/plugin_shortdial.so
/usr/lib/i386-linux-gnu/siproxd/plugin_stun.a
/usr/lib/i386-linux-gnu/siproxd/plugin_stun.la
/usr/lib/i386-linux-gnu/siproxd/plugin_stun.so
/usr/sbin/siproxd
/usr/share/doc-base/siproxd
/usr/share/doc/siproxd/FAQ.gz
/usr/share/doc/siproxd/FLI4L_HOWTO.txt
/usr/share/doc/siproxd/KNOWN_BUGS
/usr/share/doc/siproxd/README.Debian
/usr/share/doc/siproxd/RFC3261_compliance.txt
/usr/share/doc/siproxd/changelog.Debian.gz
/usr/share/doc/siproxd/copyright
/usr/share/doc/siproxd/index.html
/usr/share/doc/siproxd/siproxd_guide.pdf.gz
/usr/share/doc/siproxd/siproxd_guide_c0.html
/usr/share/doc/siproxd/siproxd_guide_c1.html
/usr/share/doc/siproxd/siproxd_guide_c2.html
/usr/share/doc/siproxd/siproxd_guide_c2s2.html
/usr/share/doc/siproxd/siproxd_guide_c3.html
/usr/share/doc/siproxd/siproxd_guide_c3s2.html
/usr/share/doc/siproxd/siproxd_guide_c4.html
/usr/share/doc/siproxd/siproxd_guide_c4s2.html
/usr/share/doc/siproxd/siproxd_guide_c5.html
/usr/share/doc/siproxd/siproxd_guide_c5s2.html
/usr/share/doc/siproxd/siproxd_guide_c6.html
/usr/share/doc/siproxd/siproxd_guide_c6s2.html
/usr/share/doc/siproxd/siproxd_guide_c6s3.html
/usr/share/doc/siproxd/siproxd_guide_c7.html
/usr/share/doc/siproxd/siproxd_guide_c7s2.html
/usr/share/doc/siproxd/siproxd_guide_c7s3.html
/usr/share/doc/siproxd/siproxd_guide_c7s4.html
/usr/share/doc/siproxd/siproxd_guide_c7s5.html
/usr/share/doc/siproxd/examples/sample_asterisk.txt.gz
/usr/share/doc/siproxd/examples/sample_cfg_budgetone.txt
/usr/share/doc/siproxd/examples/sample_cfg_x-lite.txt
/usr/share/doc/siproxd/examples/siproxd.conf.example.gz
/usr/share/doc/siproxd/examples/siproxd_passwd.cfg
/usr/share/man/man8/siproxd.8.gz

Changelog

2015-05-31 - Wookey <wookey@debian.org>
siproxd (1:0.8.1-4.1) unstable; urgency=medium
* Non-maintainer upload.
* Correctly use dh-autoreconf (Closes: #759438) 
2013-05-26 - Mark Purcell <msp@debian.org>
siproxd (1:0.8.1-4) unstable; urgency=low
* Add include-sys-time.patch 
* Call dh --with-autoreconf Fixes "Update configure" (Closes: #702772)
* debian/compat -> 9
2012-02-04 - Mark Purcell <msp@debian.org>
siproxd (1:0.8.1-3) unstable; urgency=low
* Fix "issues with debian packaging (conf and init)" (Closes: #658504)
- PIDFILE=/var/run/$NAME/$NAME.pid
- Refresh debian-user-1.diff 
- non-empty-dependency_libs-in-la-file.diff - .la files in .conf
* Added debian/siproxd.doc-base 
2012-01-24 - Mark Purcell <msp@debian.org>
siproxd (1:0.8.1-2) unstable; urgency=low
* Add siproxd-libtool-2.4.patch - Thanks to Chí-Thanh Christopher
Nguyễn for the gentoo workaround (Closes: #657070)
- Fixes "embedded library ltdl" 
* Switch to dh 7 
* source/format 3.0 (quilt)
* Remove .la files non-empty-dependency_libs-in-la-file (Closes: #633224)
- Fixes "Getting rid of unneeded *.la / emptying dependency_libs"
* Update debian/copyright GPL-2 - copyright-refers-to-symlink-license
* Drop obsolete NEWS - debian-news-entry-uses-asterisk
* Drop obsolete Suggests:
2012-01-22 - Mark Purcell <msp@debian.org>
siproxd (1:0.8.1-1) unstable; urgency=low
* New upstream release
- fixes CVE-2009-3736 local privilege esclation (Closes: #559827)
- fixed embedded libltdl convenience copy
- Updated libtool (Closes: #537272)
* Add init.d-script-missing-dependency-on-remote_fs
* Fix package-lacks-versioned-build-depends-on-debhelper
* BUG: FTBFS with system provided libltdl-dev
- Better to ship with libltdl convenience copy - addressing CVE-2009-3736
- lintian error embedded-library
- Build-Conflcits libltdl-dev
- TODO: Fix plugins.c:65: undefined reference to 
`lt__PROGRAM__LTX_preloaded_symbols'
- Added debian/siproxd.lintian-overrides
2010-05-31 - Faidon Liambotis <paravoid@debian.org>
siproxd (1:0.8.0-1) UNRELEASED; urgency=low
* Add Build-Depends to libltdl3-dev.
* Drop Build-Conflicts to ancient libosip0-dev.
* Bump Standards-Version to 3.8.4, no changes.
2009-10-17 - Mark Purcell <msp@debian.org>
siproxd (1:0.7.2-1) unstable; urgency=low
* New upstream release
* init.d/siproxd set PIDFILE=/var/run/$NAME.pid 
- fixes lintian:dir-or-file-in-var-run
* debian/compat -> 7
2009-02-24 - Mark Purcell <msp@debian.org>
siproxd (1:0.7.1-2) unstable; urgency=low
* Upload to unstable
* Add ${misc:Depends} - fixes debhelper-but-no-misc-depends
2008-11-16 - Mark Purcell <msp@debian.org>
siproxd (1:0.7.1-1) experimental; urgency=low
* New upstream release
[ Patrick Matthäi ]
* Set the -e flag in the maintainer scripts so that no errors are will be
ignored.  Thanks lintian.
[ Mark Purcell ]
* Update Homepage:
* Removed md5_prefix.diff encorporated upstream
* Drop obsolete openlogger.diff
* Simplify debian/rules
* Replace yodl with siproxd.8 & siproxd.manpages
* Build-Depends: docbook-utils - provide PDF/ HTML user guide
* Update siproxd.[docs,examples] to grab available docs
2008-09-06 - Mark Purcell <msp@debian.org>
siproxd (1:0.7.0-2) unstable; urgency=low
* Ack NMU. Thanks Andreas 
* Build-Depends: libosip2-dev (>=3.1.0) 
- Fixes lintian:build-depends-on-1-revision
* Remove Build-Depends: quilt. Fixes linitan:quilt-build-dep-but-no-
series-file
* Upgrade to Standards-Version: 3.8.0 - no changes necessary

See Also

Package Description
sipsak_0.9.6-2.3_i386.deb SIP Swiss army knife
sipwitch-cgi_1.6.1-2build2_i386.deb secure peer-to-peer SIP VoIP server - CGI XML-RPC interface
sipwitch_1.6.1-2build2_i386.deb secure peer-to-peer VoIP server for the SIP protocol
siril_0.9.1-2_i386.deb astronomical image processing tool
sisc_1.16.6-1.1_all.deb A Java integrated, fully R5RS compliant Scheme system
siscone-doc-html_2.0.6-1.1_all.deb Developer's reference manual of SISCone (HTML)
siscone-doc-pdf_2.0.6-1.1_all.deb Developer's reference manual of SISCone (PDF)
siscone-examples_2.0.6-1.1_all.deb Seedless Infrared Safe Cone jet finder - example files
sispmctl_3.1-1_i386.deb Control Gembird SIS-PM programmable power outlet strips
sisu-complete_7.1.7-1_all.deb installs all SiSU related packages
sisu-pdf_7.1.7-1_all.deb dependencies to convert SiSU LaTeX output to pdf
sisu-postgresql_7.1.7-1_all.deb SiSU dependencies for use with PostgreSQL database
sisu-sqlite_7.1.7-1_all.deb SiSU dependencies for use with SQLite database
sisu_7.1.7-1_all.deb documents - structuring, publishing in multiple formats and search
sitecopy_0.16.6-7_i386.deb program for managing a WWW site via FTP, SFTP, DAV or HTTP
Advertisement
Advertisement